Xbit
  1. Withdraw
Xbit
  • Welcome
  • Account Data
    • Get account balances
      POST
    • Get activation code history
      POST
    • Activate a redeemable code
      POST
    • Get activation code details
      POST
    • Get card withdrawal history
      POST
    • Get cryptocurrency withdrawal history
      POST
    • Get deposit (payment) history
      POST
  • Payment
    • Calculate payment amount with commission
      POST
    • Create a new payment
      POST
    • Get payment details by payment ID
      POST
  • Withdraw
    • Get minimum cryptocurrency withdrawal amounts
      POST
    • Calculate cryptocurrency withdrawal amounts
      POST
    • Calculate fiat withdrawal commission
      POST
    • Get withdrawal details by ID
      POST
    • Create withdrawal to bank card
      POST
    • Create withdrawal as redeemable code
      POST
    • Create withdrawal to cryptocurrency wallet
      POST
  • Schemas
    • GeneralApiRequestDto
    • BalanceItemDto
    • AccountBalancesResponseDto
    • ApiCodesFilterDto
    • ApiGetCodeHistoryRequestDto
    • ApiGetCodeHistoryResponseDto
    • CodeActivationRequestDto
    • CodeDetailsRequestDto
    • CodeDetailsResponseDto
    • ApiWithdrawToCardFilterDto
    • ApiGetWithdrawToCardRequestDto
    • ApiGetWithdrawToCardResponseDto
    • ApiWithdrawToCryptoFilterDto
    • ApiGetWithdrawToCryptoRequestDto
    • ApiGetWithdrawToCryptoResponseDto
    • ApiDepositFilterDto
    • ApiGetDepositHistoryRequestDto
    • ApiGetDepositHistoryResponseDto
    • CalculatePaymentRequestDto
    • CalculatePaymentResponseDto
    • CreatePaymentRequestDto
    • CreatePaymentResponseDto
    • GetPaymentDetailsRequestDto
    • GetPaymentDetailsResponseDto
    • ApiMinCryptoAmountsRequestDto
    • ApiMinCryptoAmountsResponseDto
    • ApiCalculateCryptoRequestDto
    • ApiCalculateCryptoResponseDto
    • ApiCalculateFiatRequestDto
    • ApiCalculateFiatResponseDto
    • ApiGetWithdrawDetailsRequestDto
    • ApiGetWithdrawDetailsResponseDto
    • ApiCreateCardWithdrawRequestDto
    • WithdrawIdDto
    • ApiCreateCodeWithdrawRequestDto
    • ApiCreateCryptoWithdrawRequestDto
  1. Withdraw

Get withdrawal details by ID

POST
https://newsupport.xbit.pro/api/v1/withdraw/details
Withdraw
Retrieve the current status and details of a withdrawal including type, status, currency, and amount. The data object varies based on withdrawal type: For card withdrawals, it includes the obfuscated card number. For code withdrawals, it includes the activation code. For crypto withdrawals, it includes wallet address, transaction hash, and real withdrawal amount.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Returns withdrawal details
Body

🟠400
🟠401
🟠403
🟠404
🟠429
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://newsupport.xbit.pro/api/v1/withdraw/details' \
--header 'x-txc-payload;' \
--header 'x-txc-signature;' \
--header 'x-api-key;' \
--header 'Content-Type: application/json' \
--data-raw '{
    "nonce": 1707484035123,
    "withdrawId": "123e4567-e89b-12d3-a456-426614174000"
}'
Response Response Example
200 - Example 1
{
    "type": "card",
    "status": "new",
    "currency": "UAH",
    "data": {
        "address": "0x123...",
        "transactionHash": "0xabc...",
        "code": "ABC123",
        "card": "411111******1111",
        "realAmount": 1000
    },
    "amountInCents": 10000
}
Previous
Calculate fiat withdrawal commission
Next
Create withdrawal to bank card
Built with